### A free/open-source library for quantitative finance

Classes
ql/instruments/lookbackoption.hpp File Reference

Lookback option on a single asset. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for lookbackoption.hpp:

## Classes

class | ContinuousFloatingLookbackOption
| Continuous-floating lookback option. More...
class | ContinuousFixedLookbackOption
| Continuous-fixed lookback option. More...
class | ContinuousFloatingLookbackOption::arguments
| Arguments for continuous floating lookback option calculation More...
class | ContinuousFixedLookbackOption::arguments
| Arguments for continuous fixed lookback option calculation More...
class | ContinuousFloatingLookbackOption::engine
| Continuous floating lookback engine base class More...
class | ContinuousFixedLookbackOption::engine
| Continuous fixed lookback engine base class More...

## Detailed Description

Lookback option on a single asset.